# -*- coding: utf-8 -*-

import os.path

from asrun.common.utils import get_absolute_dirname


# Code_Aster installation prefix (prefering ASTER_ROOT is at least necessary for asrun's developer!)
if os.environ.get('ASTER_ROOT'):
    aster_root = os.environ['ASTER_ROOT']
else:
    #               asrun           site-packages pythonX.Y      lib     prefix
    #aster_root = os.path.normpath(os.path.join(
    #    get_absolute_dirname(__file__), os.pardir, os.pardir, os.pardir, os.pardir))
    # For Debian installation hard code
    aster_root = '/usr/lib/codeaster'
os.environ['ASTER_ROOT'] = aster_root

# directory for configuration files (profile.sh, config)
# alternative to /etc/code_aster for non-root install
confdir = os.path.join('/etc', 'codeaster')

# directory containing data files
datadir = os.path.join('/usr', 'lib', 'codeaster', 'asrun', 'data')

# directory for internationalization
localedir = os.path.join('/usr', 'share', 'locale')
